org.eclipse.wst.jsdt.chromium.debug.core.model

## Class DebugElementImpl.WithConnectedBase

- java.lang.Object
- - PlatformObject
  - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl
    - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithConnectedBase

Direct Known Subclasses:
  DebugElementImpl.WithConnected, DebugElementImpl.WithSuspendedBase

Enclosing class:
  DebugElementImpl

    public abstract static class DebugElementImpl.WithConnectedBase
    extends DebugElementImpl

An abstract base class for debug element that refers to `ConnectedTargetData`. It declares no data field.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl

`DebugElementImpl.WithConnected, DebugElementImpl.WithConnectedBase, DebugElementImpl.WithEvaluate, DebugElementImpl.WithEvaluateBase, DebugElementImpl.WithSuspended, DebugElementImpl.WithSuspendedBase`

### Constructor Summary

Constructors
Constructor and Description
`WithConnectedBase()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract ConnectedTargetData` `getConnectedData()`
`DebugTargetImpl` `getDebugTarget()`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl

`getAdapter, getLaunch, getModelIdentifier`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WithConnectedBase

    public WithConnectedBase()

### Method Detail

#### getDebugTarget

    public DebugTargetImpl getDebugTarget()

Specified by:
  `getDebugTarget` in class `DebugElementImpl`

#### getConnectedData

    public abstract ConnectedTargetData getConnectedData()